Sign inGet started

Ticket fields

GET
/workspaces/{workspaceId}/dynamic-fields-summary-settings/{summarySettingsId}
Retrieves a single summary settings by id for dynamic fields.
Antwort-Payload
id
string
erforderlich
default
boolean
name
string
erforderlich
description
string
erforderlich
fields
array of object
erforderlich
Untergeordnete Attribute anzeigen
fields.id
string
erforderlich
fields.name
string
erforderlich
fields.description
string
fields.type
string
erforderlich
Possible values: single, multiple, numeric, text, boolean, date
fields.values
array of object
Untergeordnete Attribute anzeigen
fields.values.id
string
erforderlich
fields.values.value
string
erforderlich
fields.values.icon
string
erforderlich
fields.values.createdAt
string
erforderlich
fields.settings
object
useLocalValues
boolean
allowedEntities
array of object
Untergeordnete Attribute anzeigen
allowedEntities.entityType
string
erforderlich
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
erforderlich
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/dynamic-fields-summary-settings/{summarySettingsId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/dynamic-fields-summary-settings/{summarySettingsId}
Updates a summary settings for dynamic fields
Anfrage-Payload
default
boolean
name
string
description
string
fields
array of object
Untergeordnete Parameter anzeigen
fields.id
string
Should be specified if this field is being updated instead of created. When id is specified, type cannot be changed. By specifying the id, fields that are updated will continue to match the same attributes when searching.
fields.name
string
erforderlich
fields.description
string
fields.type
string
erforderlich
Possible values: single, multiple, numeric, text, boolean, date
fields.valueIds
array of string
Use values field instead. valueIds is the previous behaviour where values needed to be created upfront in another endpoint.
fields.values
array of object
Untergeordnete Parameter anzeigen
fields.values.id
string
If specified, it will update this value. If not, it will create a new value and generate an id for it.
fields.values.value
string
fields.values.icon
string
fields.items
string
fields.settings
object
useLocalValues
boolean
allowedEntities
array of object
Untergeordnete Parameter anzeigen
allowedEntities.entityType
string
erforderlich
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
erforderlich
Antwort-Payload
id
string
erforderlich
default
boolean
name
string
erforderlich
description
string
erforderlich
fields
array of object
erforderlich
Untergeordnete Attribute anzeigen
fields.id
string
erforderlich
fields.name
string
erforderlich
fields.description
string
fields.type
string
erforderlich
Possible values: single, multiple, numeric, text, boolean, date
fields.values
array of object
Untergeordnete Attribute anzeigen
fields.values.id
string
erforderlich
fields.values.value
string
erforderlich
fields.values.icon
string
erforderlich
fields.values.createdAt
string
erforderlich
fields.settings
object
useLocalValues
boolean
allowedEntities
array of object
Untergeordnete Attribute anzeigen
allowedEntities.entityType
string
erforderlich
Possible values: team, agent
allowedEntities.operation
string
Possible values: view, edit
allowedEntities.entityId
string
erforderlich
createdAt
string
erforderlich
updatedAt
string
erforderlich
Codebeispiel
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/dynamic-fields-summary-settings/{summarySettingsId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/dynamic-fields-summary-values/{summaryValueId}
Deletes the specific summary value for dynamic fields
Codebeispiel
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/dynamic-fields-summary-values/{summaryValueId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'